%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.6.5
%define kderelease 1

%define kdename caitoo
Name: %{kdename}
Summary: Caitoo quickly fetches files via FTP or HTTP.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: http://devel-home.kde.org/~caitoo/src/%{kdename}-%{version}.tar.bz2
License: GPL
URL: http://devel-home.kde.org/~caitoo/
Group: Development/Debuggers
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}
Obsoletes: kget

%description
Caitoo (formerly known as KGet) is a download manager similar to
Go!zilla(tm) or GetRight Download(tm).  It keeps all your downloads in
one dialog and you can add and remove transfers. Transfers can be
paused, resumed, queued or scheduled. Dialogs display info about
status of transfers - progress, size, speed and remaining
time. Program supports drag & drop from KDE applications and Netscape.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Feb 2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.6.5
- Qt 1.45
- bzip2 source
- update Source: and URL: fields to current location

* Tue Jan 4 2000 Tim Powers <timp@redhat.com>
- changed ./configure to %configure so that libtoolize runs
- rebuilt for 6.2

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- updated for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







